function getcolumns(setdrawer) {
  return [
    {
      title: '基础信息',
      valueType: 'split',
    },
    {
      title: '用户名',
      dataIndex: 'accountName',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      initialValue: '默认值',
      hideInForm: false,
      search: false,
      render: (text, row) => {
        return (
          <a
            onClick={() => {
              setdrawer?.((s) => ({
                ...s,
                visible: true,
                item: null,
                title: '新增',
                val: 'add',
              }));
            }}
          >
            {text}
          </a>
        );
      },
    },
    {
      title: '姓名',
      dataIndex: 'userName',
      key: 'userId',
      hideInForm: {
        accountName: {
          reverse: ['1', '2', '5'],
        },
        remark: ['3'],
      },
      search: false,
    },
    {
      title: '额外信息',
      valueType: 'split',
    },
    {
      title: '联系电话',
      dataIndex: 'telephone',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      search: false,
    },
    {
      title: '邮箱',
      dataIndex: 'mailNo',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      search: false,
    },
    {
      title: '备注',
      dataIndex: 'remark',
      valueType: 'editor',
      search: false,
      colProps: { span: 24 },
      initialValue: '<p>Hello <b>World!</b></p>',
    },
    {
      title: '上传样式-图片',
      dataIndex: 'uploadImage',
      key: 'uploadImage',
      valueType: 'uploadImage',
      fieldProps: {
        limit: 2,
      },
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
  ];
}

export default getcolumns;
